#include <pluginlib/class_list_macros.h>
#include <ros/ros.h>

#include "lanekeeping/Lanekeeping.h"

#include "car/camDataMsg.h"
#include "car/environmentDataMsg.h"

PLUGINLIB_EXPORT_CLASS(car::Lanekeeping, nodelet::Nodelet);

namespace car
{
	Lanekeeping::Lanekeeping(ros::NodeHandle &nh, std::string &name) :
    nh_(nh), 
    name_(name)
  { }
  
	Lanekeeping::Lanekeeping() {}
  
	Lanekeeping::~Lanekeeping() {}
  
	void Lanekeeping::onInit()
	{
		NODELET_INFO("Lanekeeping::onInit -- START");
	  laneData = nh_.advertise<laneDataMsg>("laneData", 1);
	  camData = nh_.subscribe("camData", 1, &Lanekeeping::camDataCallback, this);
		NODELET_INFO("Lanekeeping::onInit -- END");
	}

  void Lanekeeping::camDataCallback(const camDataMsg::ConstPtr& inMsg)
  {
    std::cout << "Lanekeeping recived new cam data ( ).\n";
  }
  
  
}
